import { transformerNotationDiff, transformerNotationErrorLevel, transformerNotationFocus, transformerNotationHighlight, } from '@shikijs/transformers';
import { addClassTransformer, cleanupTransformer, emptyLineTransformer, removeEscapeTransformer, } from './vuepressTransformers.js';
export const getTransformers = (options) => {
    const transformers = [];
    if (options.notationDiff) {
        transformers.push(transformerNotationDiff());
    }
    if (options.notationFocus) {
        transformers.push(transformerNotationFocus({
            classActiveLine: 'has-focus',
            classActivePre: 'has-focused-lines',
        }));
    }
    if (options.notationHighlight) {
        transformers.push(transformerNotationHighlight());
    }
    if (options.notationErrorLevel) {
        transformers.push(transformerNotationErrorLevel());
    }
    transformers.push(addClassTransformer, cleanupTransformer, removeEscapeTransformer, emptyLineTransformer);
    return transformers;
};
